Name:           lostlabyrinth 
Version:        3.0.0
Release:        1%{?dist}
Summary:        Lost Labyrinth is a coffeebreak dungeon crawling game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.lostlabyrinth.com/
Source0:        http://www.lostlabyrinth.com/download/labysource_%{version}.tar.gz
# This are the docs taken from one of the binary releases as they are not
# shipped with the sources nor with the data tarbals
Source1:        lostlabyrinth-docs-%{version}.tar.gz
Source2:        %{name}.sh
Source3:        %{name}.desktop
Source4:        %{name}.png
Source5:        license-clarification.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  elice desktop-file-utils
Requires:       lostlabyrinth-graphics = 2.9.0, lostlabyrinth-sounds = 2.5.2
Requires:       hicolor-icon-theme

%description
Lost Labyrinth is a graphical rogue like / dungeon crawling game, with the
following (unique) features:
* Relatively short gameplay (between 10-40 Minutes)
* Very high replayability because everything is created at random!
* Many different skills to choose from (every player needs another tactic!)
* No experience gain for killing monsters (only for reaching new levels!)
* Up to 4 players at the same machine


%prep
%setup -q -a 1 -n laby_source_%{version}
cp -a %{SOURCE5} .
sed -i 's/\r//g' %{name}-docs-%{version}/FAQ_*.txt


%build
elice laby.pb > laby.cpp
# "-g" should really be $RPM_OPT_FLAGS, but this fails due to rh bug 448273
g++ -g -I/usr/include/SDL -o %{name}.bin laby.cpp \
  -lSDL -lSDL_ttf -lSDL_mixer -lSDL_image -lSDL_gfx


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %{name}.bin $RPM_BUILD_ROOT/%{_bindir}
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
for i in `ls %{name}-docs-%{version}`; do
  ln -s ../doc/%{name}-%{version}/$i \
    $RPM_BUILD_ROOT/%{_datadir}/%{name}/$i
done

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc %{name}-docs-%{version}/* license-clarification.txt
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Fri Jun 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 3.0.0-1
- New upstream release 3.0.0

* Sat May 31 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.9.2-2
- Add a text file clarifying the Lost Labyrinth license

* Sat May 24 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.9.2-1
- Initial Fedora Package
